Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader
Class AnimationTester

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.graphicLoader.AbstractGraphicLoader
                  com.bbn.openmap.graphicLoader.AnimationTester

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, GraphicLoader, LightMapHandlerChild, PropertyConsumer

public class AnimationTester
extends AbstractGraphicLoader

The AnimationTester is a simple GraphicLoader that lets you toss a bunch of sprites (circles) up on the map to watch them wiggle, to get a feel of the paint delay of the map. You can add sprites to the map (they get placed randomly), and clear the list, and adjust the length of delay between repaints().

Field Summary

Fields inherited from class com.bbn.openmap.graphicLoader.AbstractGraphicLoader
`DO_NOT_UPDATE_TIMER, name, NameProperty, proj, receiver, timer, TimerCmd, updateInterval`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`AnimationTester()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Method gets called by the timer if it's running.
`void` | `addNode()`
`void` | `clearNodes()`
`java.awt.Component` | `getGUI()` Provide a GUI for controlling the GraphicLoader.
`void` | `manageGraphics()` The method where the AbstractGraphicLoader is expected to tell the receiver what the OMGraphics are.

Methods inherited from class com.bbn.openmap.graphicLoader.AbstractGraphicLoader
`createTimer, getName, getProjection, getProperties, getPropertyInfo, getReceiver, getTimer, getUpdateInterval, setName, setProjection, setProperties, setReceiver, setTimer, setUpdateInterval`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnimationTester

    public AnimationTester()

Method Detail

### manageGraphics

    public void manageGraphics()

  Description copied from class: `AbstractGraphicLoader`
  The method where the AbstractGraphicLoader is expected to tell the receiver what the OMGraphics are. This gets called by default by the actionPerformed() method, which is called by default by the built-in timer when it is running.

  Specified by:
    `manageGraphics` in class `AbstractGraphicLoader`
  See Also:
    `OMGraphicHandler.setList(OMGraphicList)`

### addNode

    public void addNode()

### clearNodes

    public void clearNodes()

### getGUI

    public java.awt.Component getGUI()

  Description copied from class: `AbstractGraphicLoader`
  Provide a GUI for controlling the GraphicLoader. It's OK if it's null.

  Specified by:
    `getGUI` in interface `GraphicLoader`
  Overrides:
    `getGUI` in class `AbstractGraphicLoader`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Description copied from class: `AbstractGraphicLoader`
  Method gets called by the timer if it's running. Will also get called if any other component is using this class as an ActionListener. By default, calls manageGraphics();

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `AbstractGraphicLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details